function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  background-color: #fff;\n  cursor: pointer;\n  font-size: 15px;\n  margin: 10px;\n  z-index: 1404 !important;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import PropTypes from "prop-types";
import Select from "react-select";
import { jsx, css } from "@emotion/core";
import "../../assets/vendor/react-select.min.css";
var dropdownClass = css(_templateObject());

var Dropdown = function Dropdown(_ref) {
  var options = _ref.options,
      onChange = _ref.onChange,
      value = _ref.value,
      clearable = _ref.clearable,
      searchable = _ref.searchable,
      disabled = _ref.disabled,
      simpleValue = _ref.simpleValue,
      multi = _ref.multi,
      placeholder = _ref.placeholder;
  return jsx(Select, {
    css: dropdownClass,
    options: options,
    onChange: onChange,
    value: value,
    clearable: clearable,
    searchable: searchable,
    disabled: disabled,
    simpleValue: simpleValue,
    multi: multi,
    placeholder: placeholder
  });
};

Dropdown.displayName = "Dropdown";
Dropdown.propTypes = {
  onChange: PropTypes.func.isRequired,
  options: PropTypes.arrayOf(PropTypes.shape({
    value: PropTypes.string,
    label: PropTypes.string
  })).isRequired,
  value: PropTypes.any,
  clearable: PropTypes.bool,
  searchable: PropTypes.bool,
  disabled: PropTypes.bool,
  simpleValue: PropTypes.bool,
  multi: PropTypes.bool,
  placeholder: PropTypes.string
};
Dropdown.defaultProps = {
  clearable: false,
  searchable: true,
  disabled: false
};
export default Dropdown;